const fs = require("fs");

const src = fs.readFileSync("content_pre.tex").toString();

src.replace(`\\begin{verbatim}
      instr  1 ; instrument with fabricated reson:
la1   init   0 ; clear feedbacks
la2   init   0 ; at start only
i3    = exp(-6.28 * p6 / 10000)               ; set coef 3
i2    = 4*i3*cos(6.283185 * p5/10000) / (1+i3); set coef 2
i1    = (1-i3) * sqrt(1-1 - i2*i2/(4*i3))     ; set coef 1
a1    rand   p4                               ; source signal
la3   =      la2                              ; feedback 2
la2   =      la1                              ; feedback 1
la1   =      i1*a1 + i2 * la2 - i3 * la3      ; 2nd order difference eqn
      out    la1
      endin

      instr 2 ; this instr does same as above
a1    rand   p4                               ; source signal
a1    reson  a1,p5,p6,1                       ; 2nd order recursicve filter
      endin
\\end{verbatim}`,``)